Index: XIOS/trunk/doc/XIOS_reference_guide.lyx
===================================================================
--- XIOS/trunk/doc/XIOS_reference_guide.lyx	(revision 1622)
+++ XIOS/trunk/doc/XIOS_reference_guide.lyx	(revision 1623)
@@ -10,5 +10,5 @@
 \maintain_unincluded_children false
 \language english
-\language_package default
+\language_package auto
 \inputencoding auto
 \fontencoding global
@@ -99,5 +99,5 @@
 
 \begin_layout Plain Layout
-enumeration { Gregorian, Julian, D360, AllLeap, NoLeap, user_defined }
+enumeration {Gregorian, Julian, D360, AllLeap, NoLeap, user_defined}
 \end_layout
 
@@ -272,6 +272,6 @@
 
 \begin_layout Standard
-Define the time origin of the time axis.
- It will appear as metadata attached to the time axis in the output file.
+Define the time origin of a time axis.
+ It will appear as metadata attached to the time axis in an output file.
  This attribute is optional, the default value is 
 \begin_inset Flex Emph
@@ -441,5 +441,5 @@
 
 \begin_layout Standard
-Define the duration of a day, in seconds, when using a custom calendar.
+Define the duration of a day in seconds when using a custom calendar.
  This attribute is mandatory if the calendar 
 \series bold
@@ -677,5 +677,5 @@
 \series default
  attribute is used, otherwise it must not be defined.
- The default behaviour is not to have any leap year.
+ The default behavior is not to have any leap year.
  If defined, this attribute must comply with the following constraint: 
 \begin_inset Formula $1\leq leap\_year\_month\leq size(month\_lengths)$
@@ -758,5 +758,5 @@
 \series default
  attribute is used, otherwise it must not be defined.
- The default behaviour is not to have any leap year, i.e.
+ The default behavior is not to have any leap year, i.e.
  the default value is 
 \begin_inset Formula $\mathbf{0}$
@@ -886,9 +886,405 @@
 
 \begin_layout Section
+Scalar attribute reference
+\end_layout
+
+\begin_layout Subsection*
+name (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: name
+\end_layout
+
+\begin_layout Standard
+Defines the name of a scalar as it will appear in a file.
+ If not defined, the name will be generated automatically based on the id.
+ If multiple scalars are defined in the same file, each scalar must have
+ a unique name.
+ 
+\end_layout
+
+\begin_layout Subsection*
+standard_name (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: standard_name
+\end_layout
+
+\begin_layout Standard
+Defines the standard name of a scalar as it will appear in the scalar's
+ metadata in an output file.
+ 
+\end_layout
+
+\begin_layout Subsection*
+long_name (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: long_name
+\end_layout
+
+\begin_layout Standard
+Defines the long name of a scalar as it will appear in the scalar's metadata
+ in an output file.
+ 
+\end_layout
+
+\begin_layout Subsection*
+unit (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: unit
+\end_layout
+
+\begin_layout Standard
+Defines the scalar unit as it will appear in the scalar's metadata in an
+ output file.
+\end_layout
+
+\begin_layout Subsection*
+value (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: value
+\end_layout
+
+\begin_layout Standard
+Defines the value of a scalar.
+ If both, the label and the value, are set then only the label will be written
+ into a file.
+\end_layout
+
+\begin_layout Subsection*
+bounds (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+1D-array of double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: bounds(:)
+\end_layout
+
+\begin_layout Standard
+Defines (two) scalar boundaries.
+ The array size must should be equal to 2.
+\end_layout
+
+\begin_layout Subsection*
+bounds_name (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: bounds_name
+\end_layout
+
+\begin_layout Standard
+Defines the name of scalar bounds as it will appear in a file.
+ If not defined, the name will be generated automatically based on the scalar
+ id.
+\end_layout
+
+\begin_layout Subsection*
+prec (optional): 
+\emph on
+integer
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: prec
+\end_layout
+
+\begin_layout Standard
+Defines the precision in bytes of scalar value and boundaries as it will
+ be written into an output file.
+ Available values are: 2 (integer), 4 (float single precision) and 8 (float
+ double precision).
+ The default value is 8.
+\end_layout
+
+\begin_layout Subsection*
+label (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: label
+\end_layout
+
+\begin_layout Standard
+Defines the label of a scalar.
+ If both, the label and the value, are set then only the label will be output
+ into a file.
+\end_layout
+
+\begin_layout Subsection*
+scalar_ref (optional): string
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: scalar_ref
+\end_layout
+
+\begin_layout Standard
+Defines the reference to a scalar.
+ All attributes will be inherited from the referenced scalar via the classical
+ inheritance mechanism.
+ The value assigned to the referenced scalar will be transmitted to the
+ current scalar.
+\end_layout
+
+\begin_layout Subsection*
+positive (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+enumeration {up, down}
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: positive
+\end_layout
+
+\begin_layout Standard
+Defines the positive direction for fields representing height or depth.
+\end_layout
+
+\begin_layout Subsection*
+axis_type (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+enumeration {X, Y, Z, T}
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: axis_type
+\end_layout
+
+\begin_layout Standard
+Defines the type of a (scalar) axis.
+ The values correspond to the following axis types:
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\shape italic
+X:
+\series default
+\shape default
+ longitude
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\shape italic
+\emph on
+Y
+\emph default
+:
+\series default
+\shape default
+ latitude
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\shape italic
+\emph on
+Z
+\emph default
+:
+\series default
+\shape default
+ vertical axis
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\shape italic
+T: 
+\series default
+\shape default
+time axis.
+\end_layout
+
+\begin_layout Subsection*
+comment: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: comment
+\end_layout
+
+\begin_layout Standard
+Allows a user to set a comment.
+ 
+\end_layout
+
+\begin_layout Section
 Axis attribute reference
 \end_layout
 
 \begin_layout Subsection*
-name: 
+name (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -912,13 +1308,14 @@
 
 \begin_layout Standard
-Define the name of the vertical axis, as it will appear in a file.
- If not defined, a name is self generated from the id.
- If multiple vertical axis are defined in a same file, each name must be
- different.
+Defines the name of a vertical axis as it will appear in an output file.
+ If not defined, the name will be generated automatically based on the axis
+ id.
+ If multiple vertical axes are defined in the same file, each axis must
+ have a unique name.
  
 \end_layout
 
 \begin_layout Subsection*
-standard_name: 
+standard_name (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -942,11 +1339,11 @@
 
 \begin_layout Standard
-Define the standard name of the vertical axis, as it will appear in the
- metadata attached to the axis of the output file.
+Defines the standard name of a vertical axis as it will appear in the axis'
+ metadata in an output file.
  
 \end_layout
 
 \begin_layout Subsection*
-long_name: 
+long_name (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -970,11 +1367,11 @@
 
 \begin_layout Standard
-Define the long name of the vertical axis, as it will appear in the metadata
- attached to the axis of the output file.
+Defines the long name of a vertical axis as it will appear in the axis'
+ metadata in an output file.
  
 \end_layout
 
 \begin_layout Subsection*
-unit: 
+unit (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -998,14 +1395,167 @@
 
 \begin_layout Standard
-Define the unit of the axis as it will appear in the metadata attached to
- the axis in the output file.
-\end_layout
-
-\begin_layout Subsection*
-n_glo: 
+Defines the unit of an axis as it will appear in the axis' metadata in an
+ output file.
+\end_layout
+
+\begin_layout Subsection*
+dim_name (optional): 
 \begin_inset Flex Emph
 status collapsed
 
 \begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: dim_name
+\end_layout
+
+\begin_layout Standard
+Defines the name of axis dimension as it will appear in the file's metadata.
+\end_layout
+
+\begin_layout Subsection*
+formula (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: formula
+\end_layout
+
+\begin_layout Standard
+Adds the formula attribute to a parametric vertical axis.
+\end_layout
+
+\begin_layout Subsection*
+formula_term (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: formula_term
+\end_layout
+
+\begin_layout Standard
+Adds the formula terms attribute to a parametric vertical axis.
+\end_layout
+
+\begin_layout Subsection*
+formula_bounds (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: formula_bounds
+\end_layout
+
+\begin_layout Standard
+Adds the formula attribute to the bounds of a parametric vertical axis.
+ The attribute is mandatory if the 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+formula
+\end_layout
+
+\end_inset
+
+ attribute is defined for the axis.
+\end_layout
+
+\begin_layout Subsection*
+formula_term_bounds (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: formula_term_bounds
+\end_layout
+
+\begin_layout Standard
+Adds the formula terms attribute to the bounds of a parametric vertical
+ axis.
+ The attribute is mandatory if the 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+formula
+\end_layout
+
+\end_inset
+
+ attribute is defined for the axis.
+\end_layout
+
+\begin_layout Subsection*
+n_glo (mandatory): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
 integer
 \end_layout
@@ -1025,10 +1575,9 @@
 
 \begin_layout Standard
-Define the global size of the axis.
- This attribute is mandatory.
-\end_layout
-
-\begin_layout Subsection*
-begin: 
+Defines the global size of an axis.
+\end_layout
+
+\begin_layout Subsection*
+begin (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -1052,7 +1601,6 @@
 
 \begin_layout Standard
-Define the the beginning index of the local domain.
- This attribute is optional.
- This must be an index between 0 and 
+Defines the beginning index of the local domain.
+ It can take value between 0 and 
 \begin_inset Flex Strong
 status collapsed
@@ -1069,5 +1617,5 @@
 
 \begin_layout Subsection*
-n: 
+n (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -1091,7 +1639,6 @@
 
 \begin_layout Standard
-Define the the local size of the axis.
- This attribute is optional.
- This must be an integer between 1 and 
+Defines the local size of an axis.
+ It can take value between 0 and 
 \begin_inset Flex Strong
 status collapsed
@@ -1115,9 +1662,21 @@
 
 .
- 
-\end_layout
-
-\begin_layout Subsection*
-value: 
+ Local axis decomposition can be declared either with attributes 
+\series bold
+\shape italic
+{n, begin}
+\series default
+\shape default
+ or with 
+\series bold
+\shape italic
+index
+\series default
+\shape default
+.
+\end_layout
+
+\begin_layout Subsection*
+index (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -1137,26 +1696,65 @@
 
 \begin_layout LyX-Code
+DOUBLE PRECISION :: index(:)
+\end_layout
+
+\begin_layout Standard
+Defines the global indexes of a local axis held by each process.
+ If the attribute is specified, its array size must be equal to 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+n
+\end_layout
+
+\end_inset
+
+.
+ Local axis decomposition can be declared either with attributes 
+\series bold
+\shape italic
+{n, begin}
+\series default
+\shape default
+ or with 
+\series bold
+\shape italic
+index
+\series default
+\shape default
+.
+\end_layout
+
+\begin_layout Subsection*
+value (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+1D-array of double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
 DOUBLE PRECISION :: value(:)
 \end_layout
 
 \begin_layout Standard
-Define the value of each level of a vertical axis.
- The size of the array must be equal to the 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-size
-\end_layout
-
-\end_inset
-
- attribute.
- If not defined the default values are filled with values from 1 to 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-size
+Defines the value of each level of a vertical axis.
+ The array size must be equal to the value of the attribute 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+n
 \end_layout
 
@@ -1164,8 +1762,10 @@
 
 .
-\end_layout
-
-\begin_layout Subsection*
-bounds: 
+ If the label is provided then only the label will be written into a file
+ and not the axis value and the axis boundaries.
+\end_layout
+
+\begin_layout Subsection*
+bounds (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -1185,9 +1785,9 @@
 
 \begin_layout LyX-Code
-DOUBLE PRECISION :: value(:,:)
-\end_layout
-
-\begin_layout Standard
-Define the boundaries of each level of a the vertical axis.
+DOUBLE PRECISION :: bounds(:,:)
+\end_layout
+
+\begin_layout Standard
+Defines the boundaries of each level of a vertical axis.
  The dimensions of the array must be 
 \begin_inset Formula $2\times n$
@@ -1198,5 +1798,94 @@
 
 \begin_layout Subsection*
-data_begin:
+bounds_name (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: bounds_name
+\end_layout
+
+\begin_layout Standard
+Defines the name of axis boundaries as it will appear in a file.
+ If not defined, the name will be generated automatically based on the axis
+ id.
+\end_layout
+
+\begin_layout Subsection*
+prec (optional): 
+\emph on
+integer
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: prec
+\end_layout
+
+\begin_layout Standard
+Defines the precision in bytes of axis value and boundaries as it will be
+ written into an output file.
+ Available values are: 2 (integer), 4 (float single precision) and 8 (float
+ double precision).
+ The default value is 8.
+\end_layout
+
+\begin_layout Subsection*
+label (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER, ALLOCATABLE :: label(:)
+\end_layout
+
+\begin_layout Standard
+Defines the label of an axis.
+ The size of the array must be equal to the value of the attribute 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+n
+\end_layout
+
+\end_inset
+
+.
+ If the label is provided then only the label will be written into a file
+ and not the axis value and the axis boundaries.
+\end_layout
+
+\begin_layout Subsection*
+data_begin (optional):
 \emph on
  integer
@@ -1212,6 +1901,6 @@
 
 \begin_layout Standard
-Define the beginning index of the field data for the axis.
- This attribute is an offset regarding the local axis, so the value can
+Defines the beginning index of local field data owned by each process.
+ The attribute is an offset relative to the local axis, so the value can
  be negative.
  A negative value indicates that only some valid part of the data will extracted
@@ -1219,7 +1908,7 @@
  A positive value indicates that the local domain is greater than the data
  stored in memory.
- A 0-value means that the local domain matches the data in memory.
- This attribute is optional and the default value is 0.
- Otherwise 
+ The 0-value means that the local domain matches the data in memory.
+ The default value is 0.
+ The attributes 
 \begin_inset Flex Strong
 status collapsed
@@ -1245,5 +1934,5 @@
 
 \begin_layout Subsection*
-data_n: 
+data_n (optional): 
 \emph on
 integer
@@ -1259,6 +1948,7 @@
 
 \begin_layout Standard
-Define the size of the field data for the first axis.
- This attribute is optional and the default value is 
+Defines the size of local field data.
+ The attribute can take value starting from 0 (no data on a process).
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -1271,5 +1961,5 @@
 
 .
- Otherwise 
+ The attributes 
 \begin_inset Flex Strong
 status collapsed
@@ -1295,5 +1985,5 @@
 
 \begin_layout Subsection*
-data_index: 
+data_index (optional): 
 \emph on
 integer
@@ -1309,10 +1999,53 @@
 
 \begin_layout Standard
-In case of a compressed vertical axis, this attribute define the number
- of points stored in memory on the local axis.
-\end_layout
-
-\begin_layout Subsection*
-mask: 
+In case of a compressed vertical axis, the attribute defines the position
+ of data points stored in the memory.
+ The array size has to be equal to 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+data_n
+\end_layout
+
+\end_inset
+
+.
+ For example, for a local axis of size 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+n=3
+\end_layout
+
+\end_inset
+
+ and local data size of 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+data_n=5
+\end_layout
+
+\end_inset
+
+, if 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+data_index=(/ -1, 2, 1, 0, -1 /)
+\end_layout
+
+\end_inset
+
+ then the first and the last data points are ghosts and only the three middle
+ values will be written in the reversed order.
+\end_layout
+
+\begin_layout Subsection*
+mask (optional): 
 \emph on
 1D-array of bool
@@ -1328,5 +2061,5 @@
 
 \begin_layout Standard
-Define the mask of the local axis.
+Defines the mask of the local axis.
  The masked value will be replaced by the value of the field attribute 
 \begin_inset Flex Strong
@@ -1339,9 +2072,9 @@
 \end_inset
 
- in the output file.
-\end_layout
-
-\begin_layout Subsection*
-n_distributed_partition: 
+ in an output file.
+\end_layout
+
+\begin_layout Subsection*
+n_distributed_partition (optional): 
 \emph on
 integer
@@ -1357,6 +2090,7 @@
 
 \begin_layout Standard
-Define the number of local axis in case axis is auto-generated.
- This attribute is optional and the default value is 
+Defines the number of local axes in case if the axis is generated automatically
+ by XIOS.
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -1372,10 +2106,30 @@
 
 \begin_layout Subsection*
-positive: 
+axis_ref (optional): string
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: axis_ref
+\end_layout
+
+\begin_layout Standard
+Defines the reference of an axis.
+ All attributes will be inherited from the referenced axis with the classical
+ inheritance mechanism.
+ The value assigned to the referenced axis will be transmitted to the current
+ axis.
+\end_layout
+
+\begin_layout Subsection*
+positive (optional): 
 \begin_inset Flex Emph
 status collapsed
 
 \begin_layout Plain Layout
-enumeration { up, down }
+enumeration {up, down}
 \end_layout
 
@@ -1394,63 +2148,105 @@
 
 \begin_layout Standard
-Define the direction of vertical axis.
-\end_layout
-
-\begin_layout Subsection*
-axis_ref: string
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-CHARACTER(LEN=*) :: axis_ref
-\end_layout
-
-\begin_layout Standard
-Define the reference of the axis.
- All attributes are inherited from the referenced axis with the classical
- inheritance mechanism.
- The value assigned to the referenced axis is transmitted to to current
- axis.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-index: 
+Defines the positive direction for fields representing height or depth.
+\end_layout
+
+\begin_layout Subsection*
+axis_type (optional): 
 \begin_inset Flex Emph
 status collapsed
 
 \begin_layout Plain Layout
-1D-array of double
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-DOUBLE PRECISION :: index(:)
-\end_layout
-
-\begin_layout Standard
-Define the global index of axis which the local axis holds.
- This attribute is optional and the size of the array is equal to 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-n
-\end_layout
-
-\end_inset
-
-.
+enumeration {X, Y, Z, T}
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: axis_type
+\end_layout
+
+\begin_layout Standard
+Defines the type of an axis.
+ The values correspond to the following axis types:
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\shape italic
+X:
+\series default
+\shape default
+ longitude
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\shape italic
+\emph on
+Y
+\emph default
+:
+\series default
+\shape default
+ latitude
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\shape italic
+\emph on
+Z
+\emph default
+:
+\series default
+\shape default
+ vertical axis
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\shape italic
+T: 
+\series default
+\shape default
+time axis.
+\end_layout
+
+\begin_layout Subsection*
+comment (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: comment
+\end_layout
+
+\begin_layout Standard
+Allows a user to set a comment.
+ 
 \end_layout
 
@@ -1460,5 +2256,5 @@
 
 \begin_layout Subsection*
-name: 
+name (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -1482,5 +2278,5 @@
 
 \begin_layout Standard
-Define the name of the horizontal domain.
+Defines the name of a horizontal domain.
  This attribute may be used in case of multiple domains defined in the same
  file.
@@ -1497,9 +2293,9 @@
  attribute will be suffixed to the longitude and latitude dimensions and
  axis name.
- Otherwise, a suffix will be self-generated.
-\end_layout
-
-\begin_layout Subsection*
-standard_name: 
+ If the domain name is not provided, it will be generated automatically.
+\end_layout
+
+\begin_layout Subsection*
+standard_name (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -1523,11 +2319,11 @@
 
 \begin_layout Standard
-Define the standard name of the domain, as it will appear in the metadata
- attached to the domain of the output file.
+Defines the standard name of a domain as it will appear in the domain's
+ metadata in an output file.
  
 \end_layout
 
 \begin_layout Subsection*
-long_name: 
+long_name (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -1551,16 +2347,16 @@
 
 \begin_layout Standard
-Define the long name of the domain, as it will appear in the metadata attached
- to the domain of the output file.
+Defines the long name of a domain as it will appear in the domain's metadata
+ in an output file.
  
 \end_layout
 
 \begin_layout Subsection*
-type: 
+type (mandatory): 
 \begin_inset Flex Emph
 status collapsed
 
 \begin_layout Plain Layout
-enumeration { rectilinear, curvilinear, unstructured }
+enumeration {rectilinear, curvilinear, unstructured, gaussian}
 \end_layout
 
@@ -1579,14 +2375,67 @@
 
 \begin_layout Standard
-Define the type of the grid.
- This attribute is mandatory.
-\end_layout
-
-\begin_layout Subsection*
-ni_glo: 
+Defines the type of a grid.
+\end_layout
+
+\begin_layout Subsection*
+dim_i_name (optional): 
 \begin_inset Flex Emph
 status collapsed
 
 \begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: dim_i_name
+\end_layout
+
+\begin_layout Standard
+Defines the name of the first domain dimension as it will appear in the
+ file's metadata.
+\end_layout
+
+\begin_layout Subsection*
+dim_j_name (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: dim_j_name
+\end_layout
+
+\begin_layout Standard
+Defines the name of the second domain dimension as it will appear in file's
+ metadata.
+\end_layout
+
+\begin_layout Subsection*
+ni_glo (mandatory): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
 integer
 \end_layout
@@ -1606,10 +2455,9 @@
 
 \begin_layout Standard
-Define the first dimension of the global domain.
- This attribute is mandatory.
-\end_layout
-
-\begin_layout Subsection*
-nj_glo: 
+Defines the size of the first dimension of the global domain.
+\end_layout
+
+\begin_layout Subsection*
+nj_glo (mandatory): 
 \begin_inset Flex Emph
 status collapsed
@@ -1633,10 +2481,9 @@
 
 \begin_layout Standard
-Define the second dimension of the global domain.
- This attribute is mandatory.
-\end_layout
-
-\begin_layout Subsection*
-ibegin: 
+Defines the size of the second dimension of the global domain.
+\end_layout
+
+\begin_layout Subsection*
+ibegin (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -1660,7 +2507,6 @@
 
 \begin_layout Standard
-Define the begining index of the first dimension of the local domain.
- This attribute is optional.
- This must be an integer between 
+Defines the beginning index of the first dimension of a local domain.
+ The attribute takes value between 
 \begin_inset Flex Strong
 status collapsed
@@ -1697,5 +2543,5 @@
 
 \begin_layout Subsection*
-ni: 
+ni (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -1719,7 +2565,6 @@
 
 \begin_layout Standard
-Define the first dimension of the local domain.
- This attribute is optional.
- This must be an integer between 
+Defines the size of the first dimension of a local domain.
+ The attribute takes value between 
 \begin_inset Flex Strong
 status collapsed
@@ -1756,5 +2601,5 @@
 
 \begin_layout Subsection*
-jbegin: 
+jbegin (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -1778,7 +2623,6 @@
 
 \begin_layout Standard
-Define the beginning index of the second dimension of the local domain.
- This attribute is optional.
- This must be an integer between 
+Defines the beginning index of the second dimension of a local domain.
+ The attribute takes value between 
 \begin_inset Flex Strong
 status collapsed
@@ -1815,5 +2659,5 @@
 
 \begin_layout Subsection*
-nj: 
+nj (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -1837,7 +2681,6 @@
 
 \begin_layout Standard
-Define the second dimension of the local domain.
- This attribute is optional.
- This must be an integer between 
+Defines the size of the second dimension of a local domain.
+ he attribute takes value between 
 \begin_inset Flex Strong
 status collapsed
@@ -1874,5 +2717,5 @@
 
 \begin_layout Subsection*
-lonvalue_1d: 
+lonvalue_1d (optional): 
 \emph on
 1D-array of double
@@ -1888,6 +2731,6 @@
 
 \begin_layout Standard
-Define the value of the longitude on the local domain.
- For a cartesian grid, the size of the array will be 
+Defines the longitude values of a local domain.
+ For a cartesian grid, the array size should be 
 \begin_inset Flex Strong
 status collapsed
@@ -1900,5 +2743,5 @@
 
 .
- For a curvilinear grid, the size of the array will be 
+ For a curvilinear grid, the array size should be 
 \begin_inset Flex Strong
 status collapsed
@@ -1915,9 +2758,8 @@
 
 .
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-lonvalue_2d: 
+\end_layout
+
+\begin_layout Subsection*
+lonvalue_2d (optional): 
 \emph on
 2D-array of double
@@ -1933,6 +2775,6 @@
 
 \begin_layout Standard
-Define the value of the longitude on the local domain.
- For a cartesian and curvilinear grid, the size of the array will be 
+Defines the longitude values of a local domain.
+ For cartesian and curvilinear grids the array size should be 
 \begin_inset Flex Strong
 status collapsed
@@ -1949,10 +2791,11 @@
 
 .
- This attribute is mandatory.
  Only lonvalue_1d or lonvalue_2d can be defined.
-\end_layout
-
-\begin_layout Subsection*
-latvalue_1d: 
+ Also the layout of latitude and longitude should be in conformance with
+ each other: either 1D or 2D.
+\end_layout
+
+\begin_layout Subsection*
+latvalue_1d (optional): 
 \emph on
 1D-array of double
@@ -1968,5 +2811,5 @@
 
 \begin_layout Standard
-Define the value of the latitude on the local domain.
+Defines the latitude values of a local domain.
  For a cartesian grid, the size of the array will be nj.
  For a curvilinear grid, the size of the array will be 
@@ -1985,9 +2828,9 @@
 
 .
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-latvalue_2d: 
+ 
+\end_layout
+
+\begin_layout Subsection*
+latvalue_2d (optional): 
 \emph on
 2D-array of double
